# Package com.drake.net

## Types

Net
Link copied to clipboard
object Net
Content copied to clipboard
NetConfig
Link copied to clipboard
object NetConfig
Content copied to clipboard
Net的全局配置

## Functions

Delete
Link copied to clipboard
inline fun <M> CoroutineScope.Delete(path: String, tag: Any? = null, noinline block: BodyRequest.() -> Unit? = null): Deferred<M>
Content copied to clipboard
Get
Link copied to clipboard
inline fun <M> CoroutineScope.Get(path: String, tag: Any? = null, noinline block: UrlRequest.() -> Unit? = null): Deferred<M>
Content copied to clipboard
异步网络请求
Head
Link copied to clipboard
inline fun <M> CoroutineScope.Head(path: String, tag: Any? = null, noinline block: UrlRequest.() -> Unit? = null): Deferred<M>
Content copied to clipboard
initNet
Link copied to clipboard
fun initNet(host: String = "", config: OkHttpClient.Builder.() -> Unit = {})
Content copied to clipboard
初始化框架
fun initNet(host: String = "", config: OkHttpClient.Builder)
Content copied to clipboard
Options
Link copied to clipboard
inline fun <M> CoroutineScope.Options(path: String, tag: Any? = null, noinline block: UrlRequest.() -> Unit? = null): Deferred<M>
Content copied to clipboard
Patch
Link copied to clipboard
inline fun <M> CoroutineScope.Patch(path: String, tag: Any? = null, noinline block: BodyRequest.() -> Unit? = null): Deferred<M>
Content copied to clipboard
Post
Link copied to clipboard
inline fun <M> CoroutineScope.Post(path: String, tag: Any? = null, noinline block: BodyRequest.() -> Unit? = null): Deferred<M>
Content copied to clipboard
Put
Link copied to clipboard
inline fun <M> CoroutineScope.Put(path: String, tag: Any? = null, noinline block: BodyRequest.() -> Unit? = null): Deferred<M>
Content copied to clipboard
Trace
Link copied to clipboard
inline fun <M> CoroutineScope.Trace(path: String, tag: Any? = null, noinline block: UrlRequest.() -> Unit? = null): Deferred<M>
Content copied to clipboard